# Generated by Django 4.0.3 on 2022-07-15 17:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('recipes', '0009_alter_ingredient_amount_alter_ingredient_food_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='ingredient',
            name='amount',
            field=models.FloatField(null=True),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='food',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='recipes.fooditem'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='measure',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='recipes.measure'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='recipe',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ingredient', to='recipes.recipe'),
        ),
    ]
